Only firmware updates on unsupported upgrade path offered automatically

Yes, i'm aware that this firmware release is already EOL - but that's why i'm upgrading.

Logging in to SFOS 19.0 MR1 i got updates offered to 19.5MR4 and 20.0GA. I got those two Versions on local webadmin as well as in central.
As both firmware versions do not follow any official upgrade path - according to documentation installation of these would lead to factory reset.

There might be no check for that within the old 19.0MR1 but at least in central update management i would expect, that there would be only these updates offered, that follow supported upgrade path.

If this is not on sophos roadmap yet, i would really suggest this as a future improvement.
I'm quite sure that not within every UI there will be a warning about factory-reset within upgrade process...

As upgrade path is public available - why does following that path require manual upload of necessary step to 19.0MR2/3 in between.
Only supported upgrade should be offered in every gui!



Edited TAGs
[edited by: emmosophos at 6:35 PM (GMT -8) on 7 Mar 2024]
Parents
  • Hello there,

    Adding to what Vivek mentioned, the following was shared with me by PM:

    • Firewall webadmin console and Central management show firmware upgrade available ONLY with the firmware that is already well tested and supported.
    • In your example, 19.0 MR1 (EoL firmware) can upgrade onto v19.5 MR4 as well as v20.0 GA directly. That’s tested and supported.
    • Latest upgrade matrix will NOT show old EOLed firmware, however, if one sees the firmware available to upgrade in the product, you can upgrade without a doubt and that upgrade path will be supported.

    Regards,


     
    Emmanuel (EmmoSophos)
    Technical Team Lead, Global Community Support
    Sophos Support VideosProduct Documentation  |  @SophosSupport  | Sign up for SMS Alerts
    If a post solves your question use the 'Verify Answer' link.
  • That‘s really good to know - when more cases are well tested and supported, wouldn‘t that be helpful to extend upgrade matrix with those tested (but eol) firmware versions? That might reduce questions in futures and support higher an easier adoption.

    Adding this information to documentation might be good as well as even you and Vivek weren‘t aware of that initially!

  • Except for some rare cases with EAPs, any SFOS can upgrade to any "later" SFOS.

    Later means
    - a version number that is bigger
    - a release date that is after

    So version even version 16.0 can upgrade to 20.0 GA.

    The cases which slightly trip people up is when a release date does not match the release number.

    2022-08-16 19.0 MR1
    ...
    2023-08-02 19.5 MR3
    2023-11-06 20.0 GA
    2024-01-25 19.5 MR4
    2024-??-?? 20.0 MR1

    Therefore 19.5 MR3 can upgrade to 20.0 GA (both a later version and later release date).
    But 19.5 MR4 cannot upgrade to 20.0 GA.  While it is a later version number, it is actually an earlier release date.  Anyone running 19.5 MR4 will need to wait until 20.0 MR1.

Reply
  • Except for some rare cases with EAPs, any SFOS can upgrade to any "later" SFOS.

    Later means
    - a version number that is bigger
    - a release date that is after

    So version even version 16.0 can upgrade to 20.0 GA.

    The cases which slightly trip people up is when a release date does not match the release number.

    2022-08-16 19.0 MR1
    ...
    2023-08-02 19.5 MR3
    2023-11-06 20.0 GA
    2024-01-25 19.5 MR4
    2024-??-?? 20.0 MR1

    Therefore 19.5 MR3 can upgrade to 20.0 GA (both a later version and later release date).
    But 19.5 MR4 cannot upgrade to 20.0 GA.  While it is a later version number, it is actually an earlier release date.  Anyone running 19.5 MR4 will need to wait until 20.0 MR1.

Children
No Data